﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace PlanetaryDomination
{
    public class CreditsView : BaseView
    {
        public CreditsView(GraphicsManager graphicsman, InputManager inputman, SoundManager soundman, ViewManager viewman)
            : base(graphicsman, inputman, soundman, viewman)
        {// konstruktor
            Controls.Add(new Button(1060, 910, 180, 30, "Back", Color.Azure, 4, Graphics, Input, Sound));   // #0
            ((Button)(Controls[0])).ButtFunc = Backfunc;
        }
        override public void Draw()
        {// rendert alles
            tempvect.X = 560.0f;// hier selber die gui malen
            tempvect.Y = 50.0f;
            Graphics.DrawText("Credits", tempvect, Color.White, 5);
            for (int i = 0; i < Controls.Count; i++)
            {
                Controls[i].Draw();
            }
        }
        override public void Update()
        {// aktualisiert zustände und berechnet zb physik + effekte
            for (int i = 0; i < Controls.Count; i++)
            {
                Controls[i].Update();
            }
        }
        private void Backfunc()
        {//ausführen für button back
            Views.SwitchView(0);
        }
    }
}
