﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace PlanetaryDomination
{
    public class FontManager
    {// verwaltet die Fonts
        private List<SpriteFont> FontList;  // liste die alle fonts speichert

        public FontManager(ContentManager content)
        {// constructor der Liste initialisiert
            FontList = new List<SpriteFont>();
            FontList.Add(content.Load<SpriteFont>("Crystal10"));    // #0
            FontList.Add(content.Load<SpriteFont>("Crystal12"));    // #1
            FontList.Add(content.Load<SpriteFont>("Crystal13"));    // #2
            FontList.Add(content.Load<SpriteFont>("Crystal14"));    // #3
            FontList.Add(content.Load<SpriteFont>("Crystal16"));    // #4
            FontList.Add(content.Load<SpriteFont>("Crystal18"));    // #5
            FontList.Add(content.Load<SpriteFont>("Crystal20"));    // #6
            FontList.Add(content.Load<SpriteFont>("Crystal22"));    // #7
            FontList.Add(content.Load<SpriteFont>("Crystal26"));    // #8
        }
        public SpriteFont GetFont(int fontindex)
        {// liefert die gewünschte Font zurück
            return FontList[fontindex];
        }
        public int GetFontCount()
        {
            return FontList.Count;
        }
    }
}
