﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace PlanetaryDomination
{
    public class GUIManager
    {
        SoundManager Sound;
        InputManager Input;
        GraphicsManager Graphics;
        FontManager Fonts;
        GameData Gamedata;
        public ViewManager Views;

        public GUIManager(SoundManager soundman, InputManager inputman, GraphicsManager graphicman, FontManager fontman, GameData gamedat)
        {
            Sound = soundman;
            Input = inputman;
            Graphics = graphicman;
            Fonts = fontman;
            Gamedata = gamedat;
            Views = new ViewManager(Input, Graphics, Gamedata, Sound);
            Views.Init();
        }
        public void Update()
        {// verwaltet aktuellen input auf gui-elemente
            //# hier alle mousefields durchgehen und prüfen ob sie gehigghlited sind und ob sich das geändert hat -> sound spielen, ob sie geklicjt wurden usw,
            Views.Update();
        }
        public void Draw()
        {
            Views.Draw();
            Graphics.DrawImage(Input.GetMousePosX(), Input.GetMousePosY(), 0, 0.0f, 1.0f);    // mauszeiger zuletzt zeichnen
        }
    }
}
