﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Audio;

namespace PlanetaryDomination
{
    public class SoundManager
    {
        public AudioEngine Audio;
        private WaveBank Waves;
        private SoundBank Sounds;
        private List<String> Soundnamelist;
        public SoundManager()
        {
            Audio = new AudioEngine("Content\\xactproject.xgs");
            Waves = new WaveBank(Audio, "Content\\WaveBank.xwb");
            Sounds = new SoundBank(Audio, "Content\\SoundBank.xsb");
            Soundnamelist = new List<string>();
            Soundnamelist.Add("Listelement_Highlightchange");   // 0
            Soundnamelist.Add("Listelement_Selectchange");      // 1
            Soundnamelist.Add("Sector_Highlightchange");        // 2
            Soundnamelist.Add("Sector_Selectchange");           // 3
            Soundnamelist.Add("Button_Press");                  // 4
        }

        public void PlaySound(int soundindex )
        {// spielt den sound mit dem gegebenen index
            Sounds.PlayCue(Soundnamelist[soundindex]);
        }
      

    }
}
